=== debian/changelog ===
ms-sys (0.0.20140105-0~rzr20140503) saucy; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#ms-sys

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:32 +0200

ms-sys (0.0.20140503-0~rzr) saucy; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#ms-sys

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:32 +0200

ms-sys (0.0.0-0) UNRELEASED; urgency=medium

  * TODO: remove on release

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:32 +0200

ms-sys (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:25 +0200
