=== debian/control ===
Source: ms-sys
Section: utils
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/ms-sys.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ms-sys.git;a=summary

Package: ms-sys
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: ms-sys-snapshot
Architecture: all
Section: sound
Depends: ms-sys (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade ms-sys
 http://rzr.online.fr/q/snapshot#ms-sys Feedback welcome
